#include "bits/stdc++.h"
    
using namespace std;
int nummer;
vector<long long >dp(100001,900000000000000);
vector<long long>num;
long long  erg(int n){
	if(dp[n]!=900000000000000){
		return dp[n];
	}
	if(n<0){
		return 900000000000000;
	}
	if(n==0){
		return 0;
	}
	for(int i=1;i<=nummer;i++){
		if(n-i<0){
			break;
		}
		dp[n]=min(dp[n],erg(n-i)+(max(num[n],num[n-i])-min(num[n],num[n-i])));
	}
	return dp[n];
}
int main() {
	int menge,numm;
	cin>>menge>>nummer;
	for(int i=0;i<menge;i++){
		cin>>numm;
		num.push_back(numm);
	}
cout<<erg(menge-1);
    return 0;
}